## ledgersmb 1.4.32+ds

=== Makefile ===

dist:
	test -d $(DIST_DIR) || mkdir -p $(DIST_DIR)
	find . | grep -vE '^.$$|/\.git|^\./UI/js-src/(dojo|dijit|util)/|\.uncompressed\.js$$|.js.map$$' | tar czf $(DIST_DIR)/ledgersmb-$(DIST_VER).tar.gz --transform 's,^./,ledgersmb/,' --no-recursion --files-from -

## ledgersmb 1.3.15

=== debian/changelog ===
ledgersmb (1.3.15-2) unstable; urgency=low

  * Rewrite LedgerSMB README.Debian, including database related information.
  * Correct debconf variable lsmb_debconf to debconf_install in debian/postinst.
  * Changes for debian/patches/*:
    - Renumber 15_httpdconf.patch as 10_httpdconf.patch. 
    - Add 15_UI-setup-credentials.patch to set 'ledgersmb' as the default
      database superuser for setup.pl.

 -- Robert James Clay <jame@rocasa.us>  Wed, 18 Apr 2012 18:58:20 -0400

ledgersmb (1.3.15-1) experimental; urgency=low

  * New upstream release.
  * Change the variable names used in the debconf/dbconfig scripting.
  * Correct permissions for ledgersmb/tools/*.pl files in debian/rules.
  * Changes for debian/patches/*:
    - Remove 10_Makefile-PL.patch as it is no longer needed.
    - Remove 20_LedgerSMB-Form-pod.patch as its issue has been resolved.
    - Remove unneeded 8* series patch files resulting from an incomplete merge.

 -- Robert James Clay <jame@rocasa.us>  Tue, 17 Apr 2012 16:11:20 -0400

ledgersmb (1.3.14-2) experimental; urgency=low

  * Add initial version of the debian/NEWS file.
  * Update and rewrite of debian/README.Debian.
  * Changes to debian/ledgersmb.postinst:
    - Rewrite the statoverride version check.
    - Change how the version variable is being used.
    - Update how apache is restarted when that is needed.
  * Add patches/20_LedgerSMB-Form-pod.patch to correct spelling errors.
  * Add lintian override for empty directory ledgersmb/sql/coa/ar/gifi/.
  * Initial addition of experimental debconf/dbconfig usage to ledgersmb.
  * Add a symbolic link from /usr/share/ledgersmb/css to the directory
    /var/lib/ledgersmb/css.

 -- Robert James Clay <jame@rocasa.us>  Wed, 11 Apr 2012 16:37:30 -0400

ledgersmb (1.3.14-1) experimental; urgency=low

  * New upstream release.
  * Correct the current active Uploaders list in LedgerSMB debian/control.
  * Besides as examples; also install utils/ directory to /usr/share/ledgersmb.
  * Changes for debian/patches/*:
    - Correct working directory paths in 15_httpdconf.patch.
    - Remove the current documentation (POD) patches as they are no longer
      necessary.

 -- Robert James Clay <jame@rocasa.us>  Tue, 03 Apr 2012 17:40:30 -0400

ledgersmb (1.3.13-1) experimental; urgency=low

  * New upstream release.
  * Correct formatting issues in the debian/copyright file.
  * Do not install doc/manual/*tex source files with package.
  * Changes for debian/patches/*:
    - Add patching of ledgersmb.conf.default to 05_confdir.patch.
    - Update 10_Makefile-PL.patch against the new version of Makefile.PL.
  * Changes to debian/rules:
    - Remove the sed code for patching the ledgersmb.conf.default file from
      the override_dh_auto_configure target.

 -- Robert James Clay <jame@rocasa.us>  Wed, 21 Mar 2012 20:45:18 -0400

ledgersmb (1.3.12-1) experimental; urgency=low

  * New upstream release.
  * Move removal of the no longer used statoverrides to ledgersmb.postinst.
  * Correct how the /var/lib/ledgersmb/spool and /var/lib/ledgersmb/users
    subdirectories are installed.
  * Rewrote the LedgerSMB debian/copyright in accordance with DEP-5.
  * Changes to debian/ledgersmb.postinst:
    - Remove the unneeded code that conditionally installed pos.conf.pl.
    - Remove the code that attempted install a copy of ledgersmb-httpd.conf.
  * Changes for debian/patches/*:
    - Add setting the templates base directory to 05_confdir.patch.
    - Added 10_Makefile-PL.patch to correct issue with an incorrect version
      number being listed in Makefile.PL.
  * Changes to debian/rules:
    - Create a copy of ledgersmb-httpd.conf.template as ledgersmb-httpd.conf.
    - Set ownership of installed /var/lib/ledgersmb/* to www-data:www-data.
    - Set ownership of installed /etc/ledgersmb/templates to www-data:www-data.
    - Change how the unneeded directories LedgerSMB/Assets and LedgerSMB/Entity
      are removed.
  * Changes to debian/control:
    - Rewrote the short and long package descriptions.
    - Updated the Standards-Version to 3.9.3, no changes required.

 -- Robert James Clay <jame@rocasa.us>  Wed, 14 Mar 2012 13:30:17 -0400

ledgersmb (1.3.11-1) experimental; urgency=low

  * New upstream release.
  * Changes for debian/patches/*:
    - Remove unneeded changes from the 15_httpdconf.patch file.
    - The nine patches for the scripts/* files are no longer needed. Removed.
  * Changes for debian/clean:
    - Add the debian/clean file for use by dh_clean during package builds.
    - Remove the created pos.conf.pl file during the package build cleanup.
    - Remove the created ledgersmb.conf and ledgersmb-httpd.conf files using
      dh_clean instead of directly in debian/rules.
  * Changes to debian/ledgersmb.postinst:
    - Correct the whitespace indentation in the script.
    - Simplify the section using a2enmod to enable mod_rewrite.
  * Changes to debian/ledgersmb.postrm:
    - Correct the whitespace indentation in the script.
  * Changes to debian/ledgersmb.install:
    - Install default pos.conf.pl configuration file to /etc/ledgersmb.
  * Changes to debian/ledgersmb.links:
    - Install symbolic link for the pos.conf.pl configuration file.
  * Changes to debian/rules:
    - Remove the override_dh_auto_clean target as it is no longer needed.
    - Change how Build.PL is removed in the override_dh_auto_configure target.
    - Create default pos.conf.pl file in the override_dh_auto_configure target.

 -- Robert James Clay <jame@rocasa.us>  Fri, 01 Mar 2012 14:26:52 -0500

ledgersmb (1.3.10-1) experimental; urgency=low

  * New upstream release.
  * Install pos.conf.pl.template as an example file.
  * Correct softlink for the ledgersmb-httpd.conf file.

 -- Robert James Clay <jame@rocasa.us>  Tue, 17 Jan 2012 19:38:09 -0500

ledgersmb (1.3.9-2) experimental; urgency=low

  * Change debhelper compatibility to 8.
  * Changes to debian/control:
    - Change debhelper Build-Depends to >= 8.


=== debian/control ===
Source: ledgersmb
Section: web
Priority: optional
Maintainer: Debian LedgerSMB Team <pkg-sql-ledger-discussion@lists.alioth.debian.org>
Uploaders: Robert James Clay <jame@rocasa.us>
Build-Depends: debhelper (>= 8), po-debconf, libmodule-install-perl
Standards-Version: 3.9.3
Homepage: http://www.ledgersmb.org/
Vcs-Svn: svn://svn.debian.org/pkg-sql-ledger/ledger-smb/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-sql-ledger/ledger-smb/trunk

Package: ledgersmb
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, perl (>= 5.8.0-1), libconfig-std-perl,
  libconfig-any-perl, libmime-lite-perl, libdbi-perl, libdbd-pg-perl, liberror-perl,
  liblocale-maketext-lexicon-perl (>= 0.62-1), libtemplate-perl (>=2.14-1),
  libhtml-parser-perl, liblog-log4perl-perl, libdatetime-perl, apache2 | httpd-cgi,
  libcgi-simple-perl, libfile-mimeinfo-perl, libio-stringy-perl,
  postgresql-client, postgresql-contrib, dbconfig-common
Recommends: default-mta | mail-transport-agent, texlive-latex-recommended, libopenoffice-oodoc-perl,
  libmath-bigint-gmp-perl, libparse-recdescent-perl
Suggests: postgresql, lpr, libnet-tclink-perl, latex-cjk-all
Conflicts: ledger-smb
Replaces: ledger-smb
Description: Financial accounting and ERP program
 LedgerSMB is a double-entry financial accounting and Enterprise Resource
 Planning system which offers Accounts Receivable, Accounts Payable and General
 Ledger tracking as well as inventory control and fixed assets handling. The
 LedgerSMB client can be a web browser or a programmed API call. The goal of the
 LedgerSMB project is to bring high quality ERP and accounting capabilities to
 small and midsize businesses.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	rm -f Build.PL
    # Per upstream; remove these empty directories if present, as they are not
    # needed for an installed LedgerSMB directory.
	rm -rf LedgerSMB/Assets LedgerSMB/Entity
	cp ledgersmb.conf.default ledgersmb.conf
	cp ledgersmb-httpd.conf.template ledgersmb-httpd.conf
	cp pos.conf.pl.template pos.conf.pl
	dh_auto_configure

override_dh_auto_test:

override_dh_auto_install:

override_dh_install:
	rm -f blib/lib/install_interactive.pl
	dh_install -XMIT-LICENSE

override_dh_fixperms:
	dh_fixperms
	chmod -x debian/ledgersmb/usr/share/ledgersmb/locale/po/*
	chmod -x debian/ledgersmb/usr/share/ledgersmb/locale/html/splash.html
	chmod +x debian/ledgersmb/usr/share/ledgersmb/Reconciliation.pl
	chmod +x debian/ledgersmb/usr/share/ledgersmb/tools/*.pl
	find debian/ledgersmb/usr/share/ledgersmb -name '*.sh' -exec chmod +x '{}' \;
	find debian/ledgersmb/usr/share/ledgersmb -name '*.pm' -exec chmod -x '{}' \;
	find debian/ledgersmb/usr/share/ledgersmb -name '*.sql' -exec chmod -x '{}' \;
	find debian/ledgersmb/usr/share/ledgersmb/utils -name '*.pl*' -exec chmod +x '{}' \;
	chown -R www-data:www-data debian/ledgersmb/etc/ledgersmb/templates
	chown -R www-data:www-data debian/ledgersmb/var/lib/ledgersmb

## ledgersmb 1.3.18

=== debian/changelog ===
ledgersmb (1.3.18-1) unstable; urgency=low

  * Changes to debian/patches/:
    - Update 05_confdir.patch for the new cssdir configuration item.
    - Update 10_httpdconf.patch for the new cssdir configuration item.
  * Changes to debian/ledgersmb.postinst:
    - Add code that creates the initial default set of css files from the
      example files.
    - Correct a typo in the similar code for /var/lib/ledgersmb/templates.
  * Add the application css directory to the debian/ledgersmb.examples file
    and remove it from the debian/ledgersmb.install file.
  * Add code in ledgersmb.postrm to remove /var/lib/ledgersmb/css during
    a package purge.  (Like for /var/lib/ledgersmb/templates, which was 
    actually added with 1.3.17-1.)
  * Removed the no longer needed references to libexcel-template-plus-perl from
    debian/control and debian/README.Debian.
  * Removed blib/man3/LedgerSMB::Template::XLS.3pm from ledgersmb.manpages.
  * Add the removal of empty example language specifc template directories to
    debian/rules.

 -- Robert James Clay <jame@rocasa.us>  Sun, 10 Jun 2012 22:51:41 -0400

ledgersmb (1.3.17-1) unstable; urgency=low

  * New upstream release.
  * Add a note regarding libimage-size-perl to README.Debian.
  * Changes to debian/patches/05_confdir.patch:
    - Update the templates path to be /var/lib/ledgersmb/templates.
  * No longer need to set ownership of /etc/ledgersmb/templates in debian/rules.
  * Add the application templates directory to the debian/ledgersmb.examples
    file and remove it from the debian/ledgersmb.install file.
  * Changes to debian/control:
    - Add libtemplate-plugin-latex-perl module to Recommends.
    - Add the libexcel-template-plus-perl and libimage-size-perl modules
      to Suggests.
  * Add code in ledgersmb.postinst to create the initial default set of
    templates from the example templates.
  * Add code with debian/ledgersmb.preinst to, if it exists, move the
    directory /etc/ledgersmb/templates to /var/lib/ledgersmb.

 -- Robert James Clay <jame@rocasa.us>  Sat, 02 Jun 2012 20:59:37 -0400

ledgersmb (1.3.16-1) unstable; urgency=low

  * New upstream release.
  * Resolves package ITP. (Closes: #406935)
  * Update and rewrite debian/TODO and README.Debian.
  * Update debian/NEWS, debian/templates and README.Debian regarding the initial
    configuration of the package.
  * Add update of PostgreSQL contrib_dir variable to patches/05_confdir.patch.

 -- Robert James Clay <jame@rocasa.us>  Tue, 08 May 2012 07:55:30 -0400

=== debian/control ===
--- 
+++ 
@@ -18,8 +18,9 @@
   libcgi-simple-perl, libfile-mimeinfo-perl, libio-stringy-perl,
   postgresql-client, postgresql-contrib, dbconfig-common
 Recommends: default-mta | mail-transport-agent, texlive-latex-recommended, libopenoffice-oodoc-perl,
-  libmath-bigint-gmp-perl, libparse-recdescent-perl
-Suggests: postgresql, lpr, libnet-tclink-perl, latex-cjk-all
+  libmath-bigint-gmp-perl, libparse-recdescent-perl, libtemplate-plugin-latex-perl
+Suggests: postgresql, lpr, libnet-tclink-perl, latex-cjk-all,
+  libimage-size-perl
 Conflicts: ledger-smb
 Replaces: ledger-smb
 Description: Financial accounting and ERP program

=== debian/rules ===
--- 
+++ 
@@ -31,6 +31,6 @@
 	find debian/ledgersmb/usr/share/ledgersmb -name '*.pm' -exec chmod -x '{}' \;
 	find debian/ledgersmb/usr/share/ledgersmb -name '*.sql' -exec chmod -x '{}' \;
 	find debian/ledgersmb/usr/share/ledgersmb/utils -name '*.pl*' -exec chmod +x '{}' \;
-	chown -R www-data:www-data debian/ledgersmb/etc/ledgersmb/templates
+	find debian/ledgersmb/usr/share/doc/ledgersmb/examples/templates -type d -empty -delete
 	chown -R www-data:www-data debian/ledgersmb/var/lib/ledgersmb

=== debian/watch ===
# LedgerSMB debian/watch control file for uscan

# Compulsory line, this is a version 3 file
version=3

# Uncomment to find new files on sourceforge, for debscripts >= 2.9
http://sf.net/ledger-smb/ledgersmb-([\d\.]+)\.tar\.gz

## ledgersmb 1.3.21

=== debian/changelog ===
ledgersmb (1.3.21-2) unstable; urgency=low

  * Make indentation consistent in all maintainer scripts.
  * Changes to debian/patches/:
    - Add 20_Makefile-PL.patch for a version reference issue in Makefile.PL.
    - Update 10_httpdconf.patch templates path to /var/lib/ledgersmb/templates.
  * Changes for debian/ledgersmb.preinst:
    - Correct version being checked against for css/templates softlinks removal.
    - Update how the old_version variable is being used for the version checks.
  * Changes for debian/control:
    - Add accidently removed libtemplate-plugin-latex-perl back into Recommends.
    - Add accidently removed libimage-size-perl back into Suggests.

 -- Robert James Clay <jame@rocasa.us>  Tue, 28 Aug 2012 13:45:43 -0400

ledgersmb (1.3.21-1) unstable; urgency=low

  * New upstream release. (Closes: #682274)
    - Fix for System/Defaults denial of service advisory. (Closes: #683357)
    - Fixes for es_AR translation, duplicate keys removed. (Closes: #678281)
    - Fixed discarded input/bad label on 1.2 upgrade screen. (Closes: #677098)
  * Changes to debian/patches/:
    - Updated 05_confdir.patch for the new fs_cssdir configuration item.
  * Changes for debian/control:
    - Update the URL in the Vcs-Browser entry.
  * Changes for debian/ledgersmb.preinst:
    - Add setting of an old_version variable for use in the script.
    - Move templates/* to /var/lib/ledgersmb if necessary during upgrade.
    - Remove old ledgersmb css and/or templates symbolic links as necessary.
  * Changes for debian/ledgersmb.postinst:
    - Update source path for when creating working css & templates directories.
  * Remove setting symbolic link to /var/lib/ledgersmb/css in ledgersmb.links.
  * Move installation of css & templates directories using ledgersmb.examples
    to using ledgersmb.install.
  * Update path for the distribution templates directory in debian/rules.

 -- Robert James Clay <jame@rocasa.us>  Mon, 06 Aug 2012 20:29:50 -0400

ledgersmb (1.3.18-2) unstable; urgency=low

  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. (Closes: #674023)
  * Debconf translation updates:
    - Brazilian Portuguese (Adriano Rafael Gomes). (Closes: #677793)
    - Czech (Michal Simunek). (Closes: #676494)
    - Danish (Joe Dalton). (Closes: #678841)
    - Galician (Jorge Barreiro). (Closes: #678597)
    - French (Julien Patriarca). (Closes: #677953)
    - German (Erik Pfannenstein). (Closes: #678547)
    - Italian (Beatrice Torracca). (Closes: #678442)
    - Polish (Michał Kułach). (Closes: #676511)
    - Portuguese (Miguel Figueiredo). (Closes: #677839)
    - Russian (Yuri Kozlov). (Closes: #676662)
    - Slovak (Ivan Masár). (Closes: #678488)
    - Spanish; (Camaleón). (Closes: #678265)
    - Swedish (Martin Bagge / brother). (Closes: #676556)
  * Update debian/watch to exclude development snapshots. (Closes: #677612)

 -- Robert James Clay <jame@rocasa.us>  Sat, 07 Jul 2012 20:21:58 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Standards-Version: 3.9.3
 Homepage: http://www.ledgersmb.org/
 Vcs-Svn: svn://svn.debian.org/pkg-sql-ledger/ledger-smb/trunk
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-sql-ledger/ledger-smb/trunk
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-sql-ledger/ledger-smb/trunk/
 
 Package: ledgersmb
 Architecture: all
@@ -23,10 +23,10 @@
   libimage-size-perl
 Conflicts: ledger-smb
 Replaces: ledger-smb
-Description: Financial accounting and ERP program
+Description: financial accounting and ERP program
  LedgerSMB is a double-entry financial accounting and Enterprise Resource
- Planning system which offers Accounts Receivable, Accounts Payable and General
- Ledger tracking as well as inventory control and fixed assets handling. The
- LedgerSMB client can be a web browser or a programmed API call. The goal of the
- LedgerSMB project is to bring high quality ERP and accounting capabilities to
- small and midsize businesses.
+ Planning system which offers "Accounts Receivable", "Accounts Payable" and
+ "General Ledger" tracking as well as inventory control and fixed assets
+ handling. The LedgerSMB client can be a web browser or a programmed API call.
+ The goal of the LedgerSMB project is to bring high quality ERP and accounting
+ capabilities to Small and Midsize Businesses.

## ledgersmb 1.3.23

=== debian/changelog ===
ledgersmb (1.3.23-1) unstable; urgency=low

  * New upstream release.
  * Updated Standards-Version to 3.9.4 in debian/control, no changes needed.

 -- Robert James Clay <jame@rocasa.us>  Sun, 28 Oct 2012 16:17:30 -0400

## ledgersmb 1.3.25

=== debian/changelog ===
ledgersmb (1.3.25-1) unstable; urgency=low

  * New upstream release.
  * Add new Japanese debconf translation. (Closes: #693146)
  * Changes to debian/patches/:
    - Refresh 05_confdir.patch for new upstream release.
    - Remove 20_Makefile-PL.patch as it is not currently needed.

 -- Robert James Clay <jame@rocasa.us>  Sun, 09 Dec 2012 11:29:46 -0500

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian LedgerSMB Team <pkg-sql-ledger-discussion@lists.alioth.debian.org>
 Uploaders: Robert James Clay <jame@rocasa.us>
 Build-Depends: debhelper (>= 8), po-debconf, libmodule-install-perl
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.ledgersmb.org/
 Vcs-Svn: svn://svn.debian.org/pkg-sql-ledger/ledger-smb/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-sql-ledger/ledger-smb/trunk/

=== debian/rules ===
--- 
+++ 
@@ -31,6 +31,6 @@
 	find debian/ledgersmb/usr/share/ledgersmb -name '*.pm' -exec chmod -x '{}' \;
 	find debian/ledgersmb/usr/share/ledgersmb -name '*.sql' -exec chmod -x '{}' \;
 	find debian/ledgersmb/usr/share/ledgersmb/utils -name '*.pl*' -exec chmod +x '{}' \;
-	find debian/ledgersmb/usr/share/doc/ledgersmb/examples/templates -type d -empty -delete
+	find debian/ledgersmb/usr/share/ledgersmb/templates -type d -empty -delete
 	chown -R www-data:www-data debian/ledgersmb/var/lib/ledgersmb

=== debian/watch ===
# LedgerSMB debian/watch control file for uscan

# Compulsory line, this is a version 3 file
version=3

# Exclude development snapshots
opts="uversionmangle=s/^1\.3\.99\d*/0/" \
http://sf.net/ledger-smb/ledgersmb-([\d\.\d\.]+)\.tar\.gz

## ledgersmb 1.3.40

=== debian/changelog ===
ledgersmb (1.3.40-1) unstable; urgency=medium

  * New upstream release.
    - 'Duplicate entry' error fixed in the locale/po/es_AR.po file.
  * Rewrite the 'purge' stanza in the debian/ledgersmb.postrm script.
  * Correct package version for the mv_conffile stanzas in maintainer scripts.
  * Add debian/ledgersmb.doc-base.database to register database information.
  * Correct errors installing the httpd configuration files for Apache v2.2 and
    v2.4. (Closes: #749347)

 -- Robert James Clay <jame@rocasa.us>  Sat, 21 Jun 2014 13:17:56 -0400

ledgersmb (1.3.39-1) unstable; urgency=low

  * New upstream release. (Closes: #732997)
  * Changes to debian/copyright:
    - Update the LedgerSMB Core Team related information.
    - Add a file stanza for the locale/po/es_AR.po file.
    - Add an entry for utils/notify_short/.*pl and it README file.
    - Add an entry for the tools/prepare-company-database.* scripts.
  * Changes to debian/control:
    - Update Standards-Version in debian/control.
    - Add the libplack-perl package as a Suggests.
    - Update the Vcs-Svn base URL from 'svn.debian.org' to 'anomscm.debian.org'.
  * Changes to debian/rules:
    - Add line to make tools/system/lsmb* scripts executables.
    - Remove the line used to copy the ledgersmb.conf.template file as it is
      no longer needed.
  * Changes to debian/patches/:
    - Add usage of 'Last-Update' field in all *.patch files.
    - Update default 'contrib-dir' to be for Postgresql 9.3 in 05_confdir.patch.
    - Add 20_BashPath.patch to resolve bash path issues in tools/ scripts.
    - Add 21_lsmb_13-fcgi-conf.patch for setting its directory paths.
  * Update packaging for installation of ledgersmb-httpd configuration for
    Apache v2.2 and v2.4. (Closes: #725758) 
  * Changes to debian/ledgersmb.docs:
   - Add README.git to the installed documents list.
   - Add README.plack to the installed documents list.
  * Register the release notes using debian/ledgersmb.doc-base.notes.
  * Add empty directory 'UI/logout/' to ledgersmb.lintian-overrides file.
  * Update README.Debian, TODO.Debian, and NEWS.Debian files for new release.

 -- Robert James Clay <jame@rocasa.us>  Mon, 21 Apr 2014 17:56:33 -0400

=== debian/control ===
Source: ledgersmb
Section: web
Priority: optional
Maintainer: Debian LedgerSMB Team <pkg-sql-ledger-discussion@lists.alioth.debian.org>
Uploaders: Robert James Clay <jame@rocasa.us>
Build-Depends: debhelper (>= 8), libmodule-install-perl, po-debconf
Standards-Version: 3.9.5
Homepage: http://www.ledgersmb.org/
Vcs-Svn: svn://anonscm.debian.org/pkg-sql-ledger/ledger-smb/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-sql-ledger/ledger-smb/trunk/

Package: ledgersmb
Architecture: all
Depends: apache2 | httpd-cgi,
         dbconfig-common,
         libcgi-simple-perl,
         libconfig-any-perl,
         libconfig-std-perl,
         libdatetime-perl,
         libdbd-pg-perl,
         libdbi-perl,
         liberror-perl,
         libfile-mimeinfo-perl,
         libhtml-parser-perl,
         libio-stringy-perl,
         liblocale-maketext-lexicon-perl (>= 0.62-1),
         liblog-log4perl-perl,
         libmime-lite-perl,
         libtemplate-perl (>=2.14-1),
         perl (>= 5.8.1-1),
         postgresql-client,
         postgresql-contrib,
         ${misc:Depends},
         ${perl:Depends}
Recommends: default-mta | mail-transport-agent,
            libmath-bigint-gmp-perl,
            libopenoffice-oodoc-perl,
            libparse-recdescent-perl,
            libtemplate-plugin-latex-perl,
            texlive-latex-recommended
Suggests: latex-cjk-all,
          libimage-size-perl,
          libnet-tclink-perl,
          libplack-perl,
          postgresql,
          lpr
Conflicts: ledger-smb
Replaces: ledger-smb
Description: financial accounting and ERP program
 LedgerSMB is a double-entry financial accounting and Enterprise Resource
 Planning system which offers "Accounts Receivable", "Accounts Payable" and
 "General Ledger" tracking as well as inventory control and fixed assets
 handling. The LedgerSMB client can be a web browser or a programmed API call.
 The goal of the LedgerSMB project is to bring high quality ERP and accounting
 capabilities to Small and Midsize Businesses.

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,7 @@
     # Per upstream; remove these empty directories if present, as they are not
     # needed for an installed LedgerSMB directory.
 	rm -rf LedgerSMB/Assets LedgerSMB/Entity
-	cp ledgersmb.conf.default ledgersmb.conf
-	cp ledgersmb-httpd.conf.template ledgersmb-httpd.conf
+	cp ledgersmb-httpd.conf.template ledgersmb-httpd-2.0-2.2.conf.template
 	cp pos.conf.pl.template pos.conf.pl
 	dh_auto_configure
 
@@ -19,7 +18,7 @@
 
 override_dh_install:
 	rm -f blib/lib/install_interactive.pl
-	dh_install -XMIT-LICENSE
+	dh_install -XMIT-LICENSE -XGPL.txt
 
 override_dh_fixperms:
 	dh_fixperms
@@ -27,6 +26,7 @@
 	chmod -x debian/ledgersmb/usr/share/ledgersmb/locale/html/splash.html
 	chmod +x debian/ledgersmb/usr/share/ledgersmb/Reconciliation.pl
 	chmod +x debian/ledgersmb/usr/share/ledgersmb/tools/*.pl
+	chmod +x debian/ledgersmb/usr/share/ledgersmb/tools/system/lsmb*
 	find debian/ledgersmb/usr/share/ledgersmb -name '*.sh' -exec chmod +x '{}' \;
 	find debian/ledgersmb/usr/share/ledgersmb -name '*.pm' -exec chmod -x '{}' \;
 	find debian/ledgersmb/usr/share/ledgersmb -name '*.sql' -exec chmod -x '{}' \;

## ledgersmb 1.3.46

=== debian/changelog ===
ledgersmb (1.3.46-1) unstable; urgency=medium

  * New upstream release. (Closes: #771822)
    - Fixes 'Duplicate message' errors in locale/po/hu.po. (Closes: #752063)
  * Add new Dutch debconf translation. (Closes: #767242)
  * Changes to debian/README.Debian:
    - Add a note regarding the texlive-xetex package.
    - Update note regarding the contrib_dir directive.
    - Add a note about the usage of the template files.
  * Correct a copyright email address in the debian/copyright file.
  * Set permissions on ledgersmb/bin/gl.pl correctly in debian/rules.
  * Change how the LedgerSMB Database administrative user related processing is
    being done, including dropping the use of dbconfig-common for the database
    related processing. (Closes: #698298, #758140, LP#1078817)
  * Update how the Apache related processing is done in the maintainer scripts.
  * Set default for contrib_dir in 05_confdir.patch to be for PostgreSQL v9.4
    instead of PostgreSQL v9.1.
  * Remove the use of drop_statoverride function from the maintainer scripts.
  * Changes in debian/control:
    - Add texlive-xetex package as a suggested package.
    - Add libjs-prototype & libjs-scriptaculous to Build-Depends.
    - Add dpkg equal to version 1.15.7.2 or above as a Pre-Depends.
    - Set Standards-Version to 3.9.6 in debian/control, no changes required.
  * Use dh-linktree for embedded libjs-prototype and libjs-libjs-scriptaculous
    libraries.
  * Only include the overrides for the 'custom' empty directories in the
    ledgersmb.lintian-overrides.

 -- Robert James Clay <jame@rocasa.us>  Wed, 29 Apr 2015 01:36:52 -0400

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,21 @@
 Priority: optional
 Maintainer: Debian LedgerSMB Team <pkg-sql-ledger-discussion@lists.alioth.debian.org>
 Uploaders: Robert James Clay <jame@rocasa.us>
-Build-Depends: debhelper (>= 8), libmodule-install-perl, po-debconf
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 8),
+               po-debconf,
+               libmodule-install-perl,
+               dh-linktree,
+               libjs-prototype,
+               libjs-scriptaculous
+Standards-Version: 3.9.6
 Homepage: http://www.ledgersmb.org/
 Vcs-Svn: svn://anonscm.debian.org/pkg-sql-ledger/ledger-smb/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-sql-ledger/ledger-smb/trunk/
 
 Package: ledgersmb
 Architecture: all
+Pre-Depends: dpkg (>= 1.15.7.2)
 Depends: apache2 | httpd-cgi,
-         dbconfig-common,
          libcgi-simple-perl,
          libconfig-any-perl,
          libconfig-std-perl,
@@ -23,6 +28,8 @@
          libfile-mimeinfo-perl,
          libhtml-parser-perl,
          libio-stringy-perl,
+         libjs-prototype,
+         libjs-scriptaculous,
          liblocale-maketext-lexicon-perl (>= 0.62-1),
          liblog-log4perl-perl,
          libmime-lite-perl,
@@ -38,7 +45,8 @@
             libparse-recdescent-perl,
             libtemplate-plugin-latex-perl,
             texlive-latex-recommended
-Suggests: latex-cjk-all,
+Suggests: texlive-xetex,
+          latex-cjk-all,
           libimage-size-perl,
           libnet-tclink-perl,
           libplack-perl,

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@
+	dh $@ --with linktree
 
 override_dh_auto_configure:
 	rm -f Build.PL
@@ -22,6 +22,7 @@
 
 override_dh_fixperms:
 	dh_fixperms
+	chmod -x debian/ledgersmb/usr/share/ledgersmb/bin/gl.pl
 	chmod -x debian/ledgersmb/usr/share/ledgersmb/locale/po/*
 	chmod -x debian/ledgersmb/usr/share/ledgersmb/locale/html/splash.html
 	chmod +x debian/ledgersmb/usr/share/ledgersmb/Reconciliation.pl

## ledgersmb 1.3.47

=== debian/changelog ===
ledgersmb (1.3.47-1) unstable; urgency=medium

  * New upstream release.
  * Changes to debian/control:
    - Set the Vcs-Browser URL to use 'https' instead of 'http'.
    - Set Standards-Version to 3.9.8, no package changes required.
    - Change texlive-xetex from 'Suggests' to 'Recommends' to work around issues
      with using liblatex-driver-perl needed for printing.
  * Changes to debian/copyright:
    - Add 'Nick Prater' copyright information.
    - Correct spelling of 'Portugese' to 'Portuguese'.
    - Update end years in debian/copyright as necessary.
  * Changes to debian/patches/*:
    - Create debian/patches/22_SpellingErrors.patch.
    - Add 'Origin: vendor' to the debian/patches/*.patch files.
    - Remove unneeded line 5 in debian/patches/20_BashPath.patch.
    - Refresh debian/patches/10_httpdconf.patch for updated package.
    - Set default for the 'contrib_dir' setting in 05_confdir.patch to be for
      v9.5 instead of v9.1.
  * Correct spelling of 'authorative' as 'authoritative' in the file
    debian/README.Debian.
  * Default to 'true' in debian/templates to automatically configure package.
  * Changes to debian/ledgersmb.preinst and debian/ledgersmb.postrm:
    - Update the package version to v1.3.18-2 that is being checked for in the
      ledgersmb apache config file renaming.
  * Changes to debian/ledgersmb.postinst:
    - Explicitly do 'db_stop' after operations with debconf have completed.
    - Rewrite how apache 2.4 modules are enabled and how the apache v2.2 related
      configuration files are handled. (Closes: #800036, #819481, LP#1513691)

 -- Robert James Clay <jame@rocasa.us>  Fri, 08 Apr 2016 11:15:15 -0400

ledgersmb (1.3.46-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Robert James Clay <jame@rocasa.us>  Tue, 26 May 2015 09:36:37 -0400

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
                dh-linktree,
                libjs-prototype,
                libjs-scriptaculous
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.ledgersmb.org/
 Vcs-Svn: svn://anonscm.debian.org/pkg-sql-ledger/ledger-smb/trunk
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-sql-ledger/ledger-smb/trunk/
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-sql-ledger/ledger-smb/trunk/
 
 Package: ledgersmb
 Architecture: all
@@ -44,9 +44,9 @@
             libopenoffice-oodoc-perl,
             libparse-recdescent-perl,
             libtemplate-plugin-latex-perl,
-            texlive-latex-recommended
-Suggests: texlive-xetex,
-          latex-cjk-all,
+            texlive-latex-recommended,
+            texlive-xetex
+Suggests: latex-cjk-all,
           libimage-size-perl,
           libnet-tclink-perl,
           libplack-perl,

## ledgersmb 1.4.30+ds

=== debian/changelog ===
ledgersmb (1.4.30+ds-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Robert James Clay <jame@rocasa.us>  Sun, 24 Jul 2016 20:42:18 -0400

ledgersmb (1.4.30+ds-1) unstable; urgency=medium

  * New upstream release.
    - Initial package update for v1.4.x versions. (Closes: #773363)
  * Update debhelper version from '8' to '9'.
  * Changes to debian/patches:
    - Refresh debian/patches/05_confdir.patch for new upstream release.
    - Corrected apache 2.4 related lines in debian/patches/10_httpdconf.patch.
    - Update 20_BashPath.patch for new upstream tools/regen_db_docs.sh script.
    - Remove debian/patches/22_SpellingErrors.patch as it is no longer needed.
  * Changes in debian/control:
    - Added to Recommends: libtex-encode-perl.
    - Added to Suggests: libx12-parser-perl, starlet.
    - Added to Depends: libjs-dojo-dojox, libjson-xs-perl | libjson-perl,
      libmoose-perl, libnumber-format-perl,libnamespace-autoclean-perl,
      libcarp-always-perl, starman, adduser, ucf.
    - Drop dh-linktree,libjs-prototype,libjs-scriptaculous from Build-Depends.
    - Drop libio-stringy-perl & libhtml-parser-perl from Depends.
    - Minor edit to long description, pointing to README.Debian.
  * Changes in debian/copyright:
    - Update copyright years for the '* Files' stanza.
    - Remove references related to libjs-prototype & libjs-scriptaculous.
    - Change Upstream-Contact to 'ledger-smb-devel@lists.sourceforge.net'.
    - Add 'Files-Excluded' section for embedded 'dojo' javascript libraries.
    - Remove the separate locale/po/*.po stanzas as they are no longer needed
      because the files are now being refreshed with each upstream release.
  * Changes in debian/rules:
   - Add override for dh_auto_build.
   - Add new target for 'get-orig-source'.
   - Make override_dh_auto_configure a bare target.
   - Correct permissions of tools/*.psgi in override_dh_fixperms stanza.
   - Correct permissions of lsmb-request.pl in override_dh_fixperms stanza.
   - Correct permissions of *.html files as necessary in override_dh_fixperms
     stanza.
   - Remove changing ownership for /var/lib/ledgersmb in override_dh_fixperms
     stanza.
  * Changes in debian/ledgersmb.postinst:
   - Change where ledgersmb.conf is enabled for apache 2.4.
   - Remove no longer needed references to /var/lib/ledgersmb.
   - Use 'ucf' to register the package apache configuration files as necesssary.
  * Changes in debian/ledgersmb.preinst:
   - Add 'ledgersmb' system user as necessary.
   - Remove unnecessary v1.3.18-1 related stanza.
   - Correct the package version referenced for the apache config file rename
     to 1.3.18-2.
  * Changes in debian/ledgersmb.postrm:
   - Purge 'ledgersmb' system user as necessary.
   - Purge and deregister the package apache configuration files.
   - Rewrite the comments for removing the package apache symbolic links.
   - Correct the package version referenced for the apache config file rename
     to 1.3.18-2.
  * Changes in debian/ledgersmb.lintian-overrides:
   - Add entry for experimental Lintian result 'duplicate-files'.
  * Remove debian/source.lintian-overrides as it is no longer necessary.
  * Add symbolic link to the README.Debian file from the install directory to
    debian/ledgersmb.links.
  * Update debian/README.Debian to reflect package changes for LedgerSMB v1.4.
  * Rewrite debian/README.source regarding repacking the 'orig' source archive.
  * Remove references to pos.conf.pl as it is no longer in upstream.
  * Remove references to Net::TCLink in debian/README.Debian and debian/control
    as it is no longer being used.
  * Add debian/upstream/signing-key.asc for upstream gpg release signing key.
  * Add pgpsigurlmangle, dversionmangle, & repacksuffix options to debian/watch.

 -- Robert James Clay <jame@rocasa.us>  Mon, 18 Jul 2016 14:51:49 -0400

## ledgersmb 1.4.31+ds

=== debian/changelog ===
ledgersmb (1.4.31+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Robert James Clay <jame@rocasa.us>  Sat, 30 Jul 2016 23:11:08 -0400

=== debian/control ===
Source: ledgersmb
Section: web
Priority: optional
Maintainer: Debian LedgerSMB Team <pkg-sql-ledger-discussion@lists.alioth.debian.org>
Uploaders: Robert James Clay <jame@rocasa.us>
Build-Depends: debhelper (>= 9),
               po-debconf,
               libmodule-install-perl
Standards-Version: 3.9.8
Homepage: http://www.ledgersmb.org/
Vcs-Svn: svn://anonscm.debian.org/pkg-sql-ledger/ledger-smb/trunk
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-sql-ledger/ledger-smb/trunk/

Package: ledgersmb
Architecture: all
Pre-Depends: dpkg (>= 1.15.7.2)
Depends: adduser,
         apache2 | httpd-cgi,
         libcarp-always-perl,
         libcgi-simple-perl,
         libconfig-inifiles-perl,
         libdatetime-perl,
         libdatetime-format-strptime-perl,
         libdbd-pg-perl,
         libdbi-perl,
         liberror-perl,
         libfile-mimeinfo-perl,
         libjs-dojo-dojox,
         liblocale-maketext-lexicon-perl (>= 0.62-1),
         liblog-log4perl-perl,
         libnamespace-autoclean-perl,
         libmime-lite-perl,
         libmoose-perl,
         libnumber-format-perl,
         libjson-xs-perl | libjson-perl,
         libtemplate-perl (>=2.14-1),
         perl (>= 5.8.1-1),
         postgresql-client,
         postgresql-contrib,
         starman,
         ucf,
         ${misc:Depends},
         ${perl:Depends}
Recommends: default-mta | mail-transport-agent,
            libmath-bigint-gmp-perl,
            libparse-recdescent-perl,
            libtemplate-plugin-latex-perl,
            libtex-encode-perl,
            texlive-latex-recommended,
            texlive-xetex
Suggests: latex-cjk-all,
          libcgi-emulate-psgi-perl,
          libimage-size-perl,
          libopenoffice-oodoc-perl,
          libx12-parser-perl,
          libplack-perl,
          postgresql,
          lpr,
          starlet
Replaces: ledgersmb
Description: financial accounting and ERP program
 LedgerSMB is a double-entry financial accounting and Enterprise Resource
 Planning system which offers "Accounts Receivable", "Accounts Payable" and
 "General Ledger" tracking as well as inventory control and fixed assets
 handling. The LedgerSMB client can be a web browser or a programmed API call.
 The goal of the LedgerSMB project is to bring high quality ERP and accounting
 capabilities to Small and Midsize Businesses. For more information, please
 see /usr/share/doc/ledgersmb/README.Debian.

=== debian/watch ===
# LedgerSMB debian/watch control file for uscan

# Compulsory line, this is a version 3 file
version=3

# Check against upstream release key. Exclude development snapshots.
opts="pgpsigurlmangle=s/$/.asc/,dversionmangle=s/\+ds[\d]?//,repacksuffix=+ds,uversionmangle=s/^1\.4\.99\d*/0/" \
http://sf.net/ledger-smb/ledgersmb-([\d\.\d\.]+)\.tar\.gz

## ledgersmb 1.4.32+ds

=== debian/changelog ===
ledgersmb (1.4.32+ds-1) unstable; urgency=medium

  * New Upstream Release.
  * Changes in debian/control:
    - Remove 'Replaces: ledgersmb' from the binary stanza as it is no longer
      necessary.
    - Change the package Priority from 'optional' to 'extra' to comply with
      policy section 2.5.

 -- Robert James Clay <jame@rocasa.us>  Mon, 08 Aug 2016 13:01:00 -0400

## ledgersmb 1.4.33+ds

=== debian/changelog ===
ledgersmb (1.4.33+ds-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Robert James Clay <jame@rocasa.us>  Fri, 26 Aug 2016 12:04:28 -0400

ledgersmb (1.4.33+ds-1) unstable; urgency=medium

  * New Upstream Release

 -- Robert James Clay <jame@rocasa.us>  Sat, 20 Aug 2016 12:40:38 -0400

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: ledgersmb
 Section: web
-Priority: optional
+Priority: extra
 Maintainer: Debian LedgerSMB Team <pkg-sql-ledger-discussion@lists.alioth.debian.org>
 Uploaders: Robert James Clay <jame@rocasa.us>
 Build-Depends: debhelper (>= 9),
@@ -57,7 +57,6 @@
           postgresql,
           lpr,
           starlet
-Replaces: ledgersmb
 Description: financial accounting and ERP program
  LedgerSMB is a double-entry financial accounting and Enterprise Resource
  Planning system which offers "Accounts Receivable", "Accounts Payable" and

## ledgersmb 1.4.34+ds

=== debian/changelog ===
ledgersmb (1.4.34+ds-2) unstable; urgency=medium

  * Move libjson-xs-perl from 'Depends' to 'Recommends' in debian/control.

 -- Robert James Clay <jame@rocasa.us>  Thu, 10 Nov 2016 05:29:29 -0500

ledgersmb (1.4.34+ds-1) unstable; urgency=medium

  * Remove 'libmodule-install-perl' from 'Build-Depends' in debian/control.

 -- Robert James Clay <jame@rocasa.us>  Sat, 29 Oct 2016 13:50:23 -0400

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,7 @@
 Maintainer: Debian LedgerSMB Team <pkg-sql-ledger-discussion@lists.alioth.debian.org>
 Uploaders: Robert James Clay <jame@rocasa.us>
 Build-Depends: debhelper (>= 9),
-               po-debconf,
-               libmodule-install-perl
+               po-debconf
 Standards-Version: 3.9.8
 Homepage: http://www.ledgersmb.org/
 Vcs-Svn: svn://anonscm.debian.org/pkg-sql-ledger/ledger-smb/trunk
@@ -26,13 +25,13 @@
          liberror-perl,
          libfile-mimeinfo-perl,
          libjs-dojo-dojox,
+         libjson-perl,
          liblocale-maketext-lexicon-perl (>= 0.62-1),
          liblog-log4perl-perl,
          libnamespace-autoclean-perl,
          libmime-lite-perl,
          libmoose-perl,
          libnumber-format-perl,
-         libjson-xs-perl | libjson-perl,
          libtemplate-perl (>=2.14-1),
          perl (>= 5.8.1-1),
          postgresql-client,
@@ -42,6 +41,7 @@
          ${misc:Depends},
          ${perl:Depends}
 Recommends: default-mta | mail-transport-agent,
+            libjson-xs-perl,
             libmath-bigint-gmp-perl,
             libparse-recdescent-perl,
             libtemplate-plugin-latex-perl,

## ledgersmb 1.4.41+ds

=== debian/changelog ===
ledgersmb (1.4.41+ds-1) unstable; urgency=low

  * New Upstream Release
    - Resolves Perl related issue regarding 'current directory' no longer being
      in the include path ("INC"). (Closes: #844276)
  * Add installation of a apache-vhost.conf file.
  * Add an 'Vcs-Git' entry to the debian/control file.
  * Add installation of a starman-ledgersmb.service file.
  * Correct parameter quoting in the debian/adm/config-lsmb-db-user.sh file.
  * Add note regarding experimental use of 'starman' to debian/README.Debian.
  * Use 'pg_roles/rolname' instead of the 'pg_user/usename' database/field in
    the config-lsmb-db-user.sh file,
  * Correct the debian/changelog entry for v1.4.34+ds-1, adding that it was
    for a new upstream release.

 -- Robert James Clay <jame@rocasa.us>  Thu, 11 May 2017 14:35:11 -0400

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
                po-debconf
 Standards-Version: 3.9.8
 Homepage: http://www.ledgersmb.org/
+Vcs-Git: https://github.com/ledgersmb/pkg-ledgersmb.git
 Vcs-Svn: svn://anonscm.debian.org/pkg-sql-ledger/ledger-smb/trunk
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-sql-ledger/ledger-smb/trunk/

## ledgersmb 1.4.42+ds

=== Makefile ===

dist:
	test -d $(DIST_DIR) || mkdir -p $(DIST_DIR)
	find . | grep -vE '^.$$|/\.git|^\./UI/js-src/(dojo|dijit|util)/|\.uncompressed\.js$$|.js.map$$' | tar czf $(DIST_DIR)/ledgersmb-$(DIST_VER).tar.gz --transform 's,^./,ledgersmb/,' --no-recursion --files-from -

clean:
	rm -rf inc META.yml MYMETA.yml MYMETA.json blib pm_to_blib

=== debian/changelog ===
ledgersmb (1.4.42+ds-1) unstable; urgency=low

  * New upstream release.
  * Declare compliance with Debian Policy 4.1.1
  * Update debian/watch for correct 'new' upstream at GitHub.
  * Remove 'Vcs-Svn' entry from debian/control as no longer necessary.
  * Update Vcs-Browser in debian/control for correct 'new' upstream at GitHub.

 -- Robert James Clay <jame@rocasa.us>  Sun, 08 Oct 2017 04:52:24 +0000

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,10 @@
 Uploaders: Robert James Clay <jame@rocasa.us>
 Build-Depends: debhelper (>= 9),
                po-debconf
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: http://www.ledgersmb.org/
 Vcs-Git: https://github.com/ledgersmb/pkg-ledgersmb.git
-Vcs-Svn: svn://anonscm.debian.org/pkg-sql-ledger/ledger-smb/trunk
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-sql-ledger/ledger-smb/trunk/
+Vcs-Browser: https://github.com/ledgersmb/pkg-ledgersmb
 
 Package: ledgersmb
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	cp ledgersmb.conf.default ledgersmb.conf

override_dh_auto_build:

override_dh_auto_test:

override_dh_auto_install:

override_dh_install:
	dh_install -XMIT-LICENSE -XGPL.txt -Xinstall_interactive.pl

override_dh_fixperms:
	dh_fixperms
	chmod -x debian/ledgersmb/usr/share/ledgersmb/lsmb-request.pl
	chmod -x debian/ledgersmb/usr/share/ledgersmb/bin/gl.pl
	chmod -x debian/ledgersmb/usr/share/ledgersmb/locale/po/*
	chmod +x debian/ledgersmb/usr/share/ledgersmb/Reconciliation.pl
	chmod +x debian/ledgersmb/usr/share/ledgersmb/tools/*.pl
	chmod +x debian/ledgersmb/usr/share/ledgersmb/tools/*.psgi
	chmod +x debian/ledgersmb/usr/share/ledgersmb/tools/system/lsmb*
	find debian/ledgersmb/usr/share/ledgersmb -name '*.sh' -exec chmod +x '{}' \;
	find debian/ledgersmb/usr/share/ledgersmb -name '*.html' -exec chmod -x '{}' \;
	find debian/ledgersmb/usr/share/ledgersmb -name '*.pm' -exec chmod -x '{}' \;
	find debian/ledgersmb/usr/share/ledgersmb -name '*.sql' -exec chmod -x '{}' \;
	find debian/ledgersmb/usr/share/ledgersmb/utils -name '*.pl*' -exec chmod +x '{}' \;
	find debian/ledgersmb/usr/share/ledgersmb/templates -type d -empty -delete

get-orig-source:
	uscan --force-download --rename --destdir .

.PHONY: get-orig-source

=== debian/watch ===
# LedgerSMB debian/watch control file for uscan

# Compulsory line, this is a version 4 file
version=4

# Check against upstream release key. Exclude development snapshots. And only
# include versions from the 1.5.x series.
opts="filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ledgersmb-$1\.tar\.gz/, \
dversionmangle=s/\+ds//, \
repacksuffix=+ds, \
uversionmangle=s/^1\.5\.99\d*/0/, \
pgpsigurlmangle=s/archive\/(\d\S+)\.tar\.gz/releases\/download\/$1\/ledgersmb-$1\.tar\.gz\.asc/" \
https://github.com/ledgersmb/LedgerSMB/tags .*/v?(1.5.+)\.tar\.gz
